org.springframework.cloud.dataflow.server.service.impl

## Class TaskExecutionInformation

- java.lang.Object
- - org.springframework.cloud.dataflow.server.service.impl.TaskExecutionInformation

-     public class TaskExecutionInformation
      extends Object

  Stores execution information.
  Author:
    Daniel Serleg

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskExecutionInformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.core.io.Resource` | `getAppResource()`
    `org.springframework.core.io.Resource` | `getMetadataResource()`
    `TaskDefinition` | `getOriginalTaskDefinition()`
    `TaskDefinition` | `getTaskDefinition()`
    `Map<String,String>` | `getTaskDeploymentProperties()`
    `boolean` | `isComposed()`
    `void` | `setAppResource(org.springframework.core.io.Resource appResource)`
    `void` | `setComposed(boolean composed)`
    `void` | `setMetadataResource(org.springframework.core.io.Resource metadataResource)`
    `void` | `setOriginalTaskDefinition(TaskDefinition originalTaskDefinition)`
    `void` | `setTaskDefinition(TaskDefinition taskDefinition)`
    `void` | `setTaskDeploymentProperties(Map<String,String> taskDeploymentProperties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskExecutionInformation

          public TaskExecutionInformation()

  - ### Method Detail

    - #### isComposed

          public boolean isComposed()

    - #### setComposed

          public void setComposed(boolean composed)

    - #### getTaskDeploymentProperties

          public Map<String,String> getTaskDeploymentProperties()

    - #### setTaskDeploymentProperties

          public void setTaskDeploymentProperties(Map<String,String> taskDeploymentProperties)

    - #### getTaskDefinition

          public TaskDefinition getTaskDefinition()

    - #### setTaskDefinition

          public void setTaskDefinition(TaskDefinition taskDefinition)

    - #### getAppResource

          public org.springframework.core.io.Resource getAppResource()

    - #### setAppResource

          public void setAppResource(org.springframework.core.io.Resource appResource)

    - #### getMetadataResource

          public org.springframework.core.io.Resource getMetadataResource()

    - #### setMetadataResource

          public void setMetadataResource(org.springframework.core.io.Resource metadataResource)

    - #### setOriginalTaskDefinition

          public void setOriginalTaskDefinition(TaskDefinition originalTaskDefinition)

    - #### getOriginalTaskDefinition

          public TaskDefinition getOriginalTaskDefinition()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.